> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.ntropy.com/documentation/api/reports/post-report-v-3-reports-post/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.ntropy.com/_mcp/server. # Create a report POST https://api.ntropy.com/v3/reports Content-Type: application/json Report a transaction with incorrect fields. Complete guide: [Reports](../../../enrichment/reports). Reference: https://docs.ntropy.com/documentation/api/reports/post-report-v-3-reports-post ## Authentication - `X-Api-Key` header (required) — API Key authentication via header ## Request ### Body (application/json) This endpoint expects a ReportBase. - `transaction_id` (string, required) — The unique identifier of the transaction - `description` (string, required) — A description of what is wrong in the transaction - `fields` (list of string, required) — A list of the fields that are incorrect ## Response ### 200 The newly created report - `transaction_id` (string, required) — The unique identifier of the transaction - `description` (string, required) — A description of what is wrong in the transaction - `fields` (list of string, required) — A list of the fields that are incorrect - `id` (string, required) — A generated unique identifier for the report. - `created_at` (datetime, required) — The date and time when the report was created. - `status` (enum, required) — The status of the report. * `open`: a newly created report * `pending`: the report is being investigated * `rejected`: the original enrichment output was deemed correct or we couldn't resolve it, check `rejection_reason` * `resolved`: the issue has been resolved - Allowed values: `open`, `pending`, `resolved`, `rejected` - `rejection_reason` (string, optional, nullable) — If the report was rejected, an explanation for the rejection. ## Errors ### 422 Unprocessable Entity Error Validation Error - `detail` (list of ValidationError, optional) ## Types ### ValidationError - `loc` (list of ValidationErrorLocItems, required) - `msg` (string, required) - `type` (string, required) ### ValidationErrorLocItems ## Examples **Request** ```json { "transaction_id": "xbx8YP14g565Xk", "description": "lorem ipsum", "fields": [ ".entities.counterparty" ] } ``` **Response** ```json { "transaction_id": "xbx8YP14g565Xk", "description": "lorem ipsum", "fields": [ ".entities.counterparty" ], "id": "a652285d-de1b-4a6f-b6ce-45efa9be7952", "created_at": "2024-10-03T02:53:30.167953Z", "status": "open" } ``` **SDK Code** ```python Python SDK from ntropy_sdk import SDK sdk = SDK("cd1H...Wmhl") report = sdk.reports.create( transaction_id="xbx8YP14g565Xk", description="lorem ipsum", fields=[".entities.counterparty"], ) ``` ```javascript const url = 'https://api.ntropy.com/v3/reports'; const options = { method: 'POST', headers: {'X-Api-Key': '', 'Content-Type': 'application/json'}, body: '{"transaction_id":"xbx8YP14g565Xk","description":"lorem ipsum","fields":[".entities.counterparty"]}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://api.ntropy.com/v3/reports" payload := strings.NewReader("{\n \"transaction_id\": \"xbx8YP14g565Xk\",\n \"description\": \"lorem ipsum\",\n \"fields\": [\n \".entities.counterparty\"\n ]\n}") req, _ := http.NewRequest("POST", url, payload) req.Header.Add("X-Api-Key", "") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://api.ntropy.com/v3/reports") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request["X-Api-Key"] = '' request["Content-Type"] = 'application/json' request.body = "{\n \"transaction_id\": \"xbx8YP14g565Xk\",\n \"description\": \"lorem ipsum\",\n \"fields\": [\n \".entities.counterparty\"\n ]\n}" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.post("https://api.ntropy.com/v3/reports") .header("X-Api-Key", "") .header("Content-Type", "application/json") .body("{\n \"transaction_id\": \"xbx8YP14g565Xk\",\n \"description\": \"lorem ipsum\",\n \"fields\": [\n \".entities.counterparty\"\n ]\n}") .asString(); ``` ```php request('POST', 'https://api.ntropy.com/v3/reports', [ 'body' => '{ "transaction_id": "xbx8YP14g565Xk", "description": "lorem ipsum", "fields": [ ".entities.counterparty" ] }', 'headers' => [ 'Content-Type' => 'application/json', 'X-Api-Key' => '', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://api.ntropy.com/v3/reports"); var request = new RestRequest(Method.POST); request.AddHeader("X-Api-Key", ""); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{\n \"transaction_id\": \"xbx8YP14g565Xk\",\n \"description\": \"lorem ipsum\",\n \"fields\": [\n \".entities.counterparty\"\n ]\n}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = [ "X-Api-Key": "", "Content-Type": "application/json" ] let parameters = [ "transaction_id": "xbx8YP14g565Xk", "description": "lorem ipsum", "fields": [".entities.counterparty"] ] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://api.ntropy.com/v3/reports")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "POST" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```